GET

marks API

Retrieve and manage marks records from the Apps4Edu sync database.

Endpoint Path

GET /api/marks

CURL Example

curl "https://api.apps4education.co.uk/api/marks?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
markMarkMeaningID int
mark varchar
markMeaningName varchar
markMeaningDescription text
unAuthorisedLate tinyint
startDate datetime
endDate datetime
markName varchar
markDescription text
physicallyPresent tinyint
exportMark varchar
minutePrompt tinyint
displayColor varchar
absentKeyMark tinyint
presentKeyMark tinyint
protectedMark tinyint
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "markMarkMeaningID": 101,
      "mark": "example_value",
      "markMeaningName": "example_value",
      "markMeaningDescription": "example_value",
      "unAuthorisedLate": true,
      "startDate": "example_value",
      "endDate": "example_value",
      "markName": "example_value",
      "markDescription": "example_value",
      "physicallyPresent": "example_value",
      "exportMark": "example_value",
      "minutePrompt": "example_value",
      "displayColor": true,
      "absentKeyMark": "example_value",
      "presentKeyMark": "example_value",
      "protectedMark": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.